# Generated by Django 4.0.5 on 2022-06-19 15:45

import datetime
from django.db import migrations, models
import django.db.models.deletion
from django.utils.timezone import utc
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Campaign',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=datetime.datetime(2022, 6, 19, 15, 45, 16, 861342, tzinfo=utc))),
                ('description', models.CharField(max_length=255, null=True, unique=True)),
                ('email_template_id', models.IntegerField(null=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('owner', models.CharField(max_length=255)),
                ('doc_id', models.CharField(max_length=20, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Comic',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
                ('doc_id', models.CharField(max_length=20, unique=True)),
                ('created', models.DateTimeField(default=datetime.datetime(2022, 6, 19, 15, 45, 16, 864542, tzinfo=utc))),
                ('docpath', models.CharField(max_length=255, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='EmailTemplate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
                ('description', models.CharField(max_length=255, null=True)),
                ('created', models.DateTimeField(default=datetime.datetime(2022, 6, 19, 15, 45, 16, 863991, tzinfo=utc))),
                ('modified', models.DateTimeField(auto_now=True)),
                ('body', models.TextField()),
                ('subject', models.CharField(max_length=255, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='TargetLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=datetime.datetime(2022, 6, 19, 15, 45, 16, 863442, tzinfo=utc))),
                ('email', models.CharField(max_length=255)),
                ('fileurl', models.CharField(max_length=255, null=True, unique=True)),
                ('tracking_url', models.CharField(max_length=255, null=True, unique=True)),
                ('run_id', models.UUIDField()),
                ('campaign', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.campaign')),
            ],
        ),
        migrations.CreateModel(
            name='Target',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('email', models.CharField(max_length=255)),
                ('added', models.DateTimeField(default=datetime.datetime(2022, 6, 19, 15, 45, 16, 862849, tzinfo=utc))),
                ('campaign_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.campaign')),
            ],
        ),
        migrations.CreateModel(
            name='CampaignLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ended_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=255)),
                ('started_at', models.DateTimeField(default=datetime.datetime(2022, 6, 19, 15, 45, 16, 862087, tzinfo=utc))),
                ('status', models.CharField(max_length=255)),
                ('run_id', models.UUIDField(default=uuid.uuid4, unique=True)),
                ('campaign', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.campaign')),
            ],
        ),
        migrations.AddConstraint(
            model_name='target',
            constraint=models.UniqueConstraint(fields=('campaign_id', 'email'), name='api_target_email_campaign_id'),
        ),
        migrations.AddConstraint(
            model_name='campaignlog',
            constraint=models.UniqueConstraint(fields=('name', 'status'), name='api_campaignlog_email_campaign_id'),
        ),
    ]
